%define upstream_name	 HTTP-Daemon-SSL
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:	A simple http server class with SSL support
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz
# From FC:
# Adapt tests to IO::Socket::SSL 1.80, CPAN RT#81932
Patch0:         HTTP-Daemon-SSL-1.04-Adapt-tests-to-IO-Socket-SSL-1.80.patch
# Do not test weak keys with OpenSSL 1.0.1, bug #1058728, CPAN RT#88998
Patch1:         HTTP-Daemon-SSL-1.04-Generate-keys-and-certificates-at-test-time.patch
# default port could be in use by the sieve daemon (2000), so
# let's change it to something hopefully free so that make test
# works
Patch10:		HTTP-Daemon-SSL-1.01-sslport.patch
Patch11:		IO-Socket-SSL.patch

BuildRequires:	perl(HTTP::Daemon)
BuildRequires:	perl(IO::Socket::SSL)
BuildRequires:	perl-libwww-perl
BuildArch:	noarch


%description
HTTP::Daemon::SSL is a descendant of HTTP::Daemon that uses SSL
sockets (via IO::Socket::SSL) instead of cleartext sockets. It
also handles SSL-specific problems, such as dealing with HTTP
clients that attempt to connect to it without using SSL.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc certs Changes BUGS README META.yml
%{perl_vendorlib}/HTTP
%{_mandir}/*/*


%changelog
* Thu Dec 29 2022 tv <tv> 1.40.0-13.mga9
+ Revision: 1927831
- Fix testsuite with Debian patch (RT#88998)

* Mon Mar 28 2022 umeabot <umeabot> 1.40.0-12.mga9
+ Revision: 1830757
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-11.mga8
+ Revision: 1504684
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.40.0-10.mga7
+ Revision: 1283992
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.40.0-9.mga7
+ Revision: 1164835
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 1.40.0-8.mga7
+ Revision: 1160819
- add BR on perl(HTTP::Daemon)

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-7.mga6
+ Revision: 1028433
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.40.0-6.mga6
+ Revision: 946205
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 748972
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 685000
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 sander85 <sander85> 1.40.0-3.mga5
+ Revision: 665660
- Fix build (patch from Fedora)

* Sat Dec 21 2013 sander85 <sander85> 1.40.0-3.mga4
+ Revision: 559573
- Fix build
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 26369
- mageia rebuild
- imported package perl-HTTP-Daemon-SSL

